""" rdd.py : demonstrator of some rdd functionalities"""

from pyspark import SparkContext
print('\n' + ' //// Start my local Spark session //// ' + '\n')

sc = SparkContext("local", "rdd application")
sc.setLogLevel("WARN")

import urllib
f = urllib.urlretrieve("http://kdd.ics.uci.edu/databases/kddcup99/kddcup.data_10_percent.gz", "kddcup.data_10_percent.gz")
data_file = "./kddcup.data_10_percent.gz"

raw_data = sc.textFile(data_file)
count = raw_data.count()
txt = raw_data.take(5)

print("counts  %i" % count)
print(txt)



