"""SimpleAppV2.py"""
from pyspark import SparkContext

sc = SparkContext("local", "Simple App")


localInputFile = "/var/log/syslog"  # some files on your system
addInputFile   = "/var/log/kern.log"


logDataAll = sc.textFile(localInputFile)
#logDataAll = sc.textFile(addInputFile)
#logDataAll = sc.textFile("/var/log/*.log")

numKs = logDataAll.filter(lambda s: 'kernel' in s).count()
numWs = logDataAll.filter(lambda s: 'warning' in s).count()

print("Lines with kernel: %i, lines with warnings: %i" % (numKs, numWs))
sc.stop()


