""" rdd.py : demonstrator of some rdd functionalities"""

from pyspark import SparkContext
#import urllib

print('\n' + ' //// Start my local Spark session //// ' + '\n')

data_file = "./kddcup.data_10_percent.gz"
sc = SparkContext("local", "rdd application 2")
sc.setLogLevel("WARN")

raw_data = sc.textFile(data_file)
total_size = raw_data.count()

raw_data_items = raw_data.map(lambda x: x.split(","))
normal_tags = raw_data_items.filter(lambda x: "normal." in x)

# define sampling rdd and count its size()
#print("Sample size is {} of {}").format(sample_size, total_size)

# transformations to be applied on sample data
# map the sample rdd
# filter sample rdd with tag 'normal'


# actions + time
#from time import time
#t0 = time()
# count the number of 'normal' elements
#tt = time() - t0

#sample_normal_ratio = sample_normal_tags_count / float(sample_size)
#print "The ratio of 'sample' interactions is {}".format(round(sample_normal_ratio,3))
#print "Count done in {} seconds".format(round(tt,3))





