""" rdd.py : demonstrator of some rdd functionalities"""

from pyspark import SparkContext
print('\n' + ' //// Start my local Spark session //// ' + '\n')

sc = SparkContext("local", "rdd application")
sc.setLogLevel("WARN")

import urllib
f = urllib.urlretrieve("http://kdd.ics.uci.edu/databases/kddcup99/kddcup.data_10_percent.gz", "kddcup.data_10_percent.gz")
data_file = "./kddcup.data_10_percent.gz"

raw_data = sc.textFile(data_file)

normal_data = raw_data.filter(lambda x: 'normal.' in x)

# actions + time
from time import time
t0 = time()
normal_count = normal_data.count()
tt_n = time() - t0

t0 = time()
count = raw_data.count()
tt_a = time() - t0


print("found %i elements in total in data set" % count)
print("found %i elements tagged >normal< in data set" % normal_count)
print("Count done for all in  {} seconds").format(round(tt_a,3))
print("Count done for normals  in {} seconds").format(round(tt_n,3))




